<?php
session_start();

// Trs a este ficheiro os ficheiros twitteroauth.php e config.php
require_once('twitteroauth/twitteroauth.php');
require_once('config.php');

// Se o oauth_token tiver expirado, redireciona para a pgina clearsessions.php
if (isset($_REQUEST['oauth_token']) && $_SESSION['oauth_token'] !== $_REQUEST['oauth_token']) {
  $_SESSION['oauth_status'] = 'oldtoken';
  header('Location: ./clearsessions.php');
}

// Criao objeto TwitterOAuth com as credenciais do cliente
$connection = new TwitterOAuth(CONSUMER_KEY, CONSUMER_SECRET, $_SESSION['oauth_token'], $_SESSION['oauth_token_secret']);

// Pega validao de acesso ao Twitter
$access_token = $connection->getAccessToken($_REQUEST['oauth_verifier']);

// Salva o token de acesso. Caso voc queira, pode salvar em uma base de dados para uso futuro.
$_SESSION['access_token'] = $access_token;

// Remove as informaes do oauth_token
unset($_SESSION['oauth_token']);
unset($_SESSION['oauth_token_secret']);

// Se a resposta ao HTTP  200 ele continua conectado
if (200 == $connection->http_code) {
  // O usurio  verificado e o token de acesso  salvo para ser usado no futuro.
  $_SESSION['status'] = 'verified';
  header('Location: ./index.php');
} else {
  header('Location: ./clearsessions.php');
}
